Bug 1732672 - Add keystone_domain_choices parameter for use with TripleO
Summary: Add keystone_domain_choices parameter for use with TripleO
Keywords:
Status: NEW
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-horizon
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Radomir Dopieralski
QA Contact: nlevinki
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-24 06:13 UTC by Matt Parkinson
Modified: 2020-07-03 04:54 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 715730 0 None MERGED Add parameter to manage horizon's keystone_domain_choices 2020-07-02 13:51:19 UTC

Description Matt Parkinson 2019-07-24 06:13:50 UTC
Description of problem:

The OPENSTACK_KEYSTONE_DOMAIN_DROPDOWN and OPENSTACK_KEYSTONE_DOMAIN_CHOICES options were added to Horizon in the OpenStack Pike release. However the keystone_domain_choices puppet parameter which allows setting these options via Director/TripleO was not added to puppet-horizon until the Rocky release.

This should be backported to the Red Hat supported Queens release (OSP13) to align with the Horizon update.

Version-Release number of selected component (if applicable):

OSP13
puppet-horizon-12.4.0-1.el7ost
DockerHorizonImage: rhosp13/openstack-horizon:13.0-71.1557945103

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Alex Stupnikov 2020-04-14 17:21:18 UTC
Upstream THT patch https://review.opendev.org/#/c/715730/ should address this issue. Please note that keystone_domain_choices was added to puppets in RHOSP 14 (Stein), so the change in puppets should also be backported if the goal is to release a fix for RHOSP 13.


Note You need to log in before you can comment on or make changes to this bug.